Create Refund
curl --request POST \
--url https://api.headlesscommerce.io/v1/admin/orders/{id}/refunds \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"reason": "<string>",
"amount": 123,
"restock": true,
"lines": [
{
"order_line_id": "<string>",
"quantity": 2
}
]
}
'{
"id": "<string>",
"order_id": "<string>",
"amount": {
"amount": 123,
"currency": "<string>"
},
"reason": "<string>",
"restock": true,
"lines": [
{
"order_line_id": "<string>",
"quantity": 123
}
],
"created_at": "2023-11-07T05:31:56Z"
}Admin - Orders
Create Refund
POST
/
admin
/
orders
/
{id}
/
refunds
Create Refund
curl --request POST \
--url https://api.headlesscommerce.io/v1/admin/orders/{id}/refunds \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"reason": "<string>",
"amount": 123,
"restock": true,
"lines": [
{
"order_line_id": "<string>",
"quantity": 2
}
]
}
'{
"id": "<string>",
"order_id": "<string>",
"amount": {
"amount": 123,
"currency": "<string>"
},
"reason": "<string>",
"restock": true,
"lines": [
{
"order_line_id": "<string>",
"quantity": 123
}
],
"created_at": "2023-11-07T05:31:56Z"
}Authorizations
API Key. Example: sk_live_xxxxx or pk_live_xxxxx
Path Parameters
Resource ID
Body
application/json
⌘I